#include <stdio.h>

typedef struct n
{
  int value;
  struct n *left,*right;
} node;

int find(node *n,int x);

int main(int argc, char** argv)
{
  int x;

  if(argc<2)
    {
      printf("Too Few Arguments\n");
      return -1;
    }
  x = atoi(argv[1]);

  /*create nodes*/
  node n[7];
  n[0].value = 5;
  n[1].value = 2;
  n[2].value = 0;
  n[3].value = 3;
  n[4].value = 8;
  n[5].value = 6;
  n[6].value = 10;
  
  n[0].left = &n[1];
  n[0].right = &n[4];
  n[1].left = &n[2];
  n[1].right = &n[3];
  n[2].left = NULL;
  n[2].right = NULL;
  n[3].left = NULL;
  n[3].right = NULL;
  n[4].left = &n[5];
  n[4].right = &n[6];
  n[5].left = NULL;
  n[5].right = NULL;
  n[6].left = NULL;
  n[6].right = NULL;

  fprintf(stdout,"%d is associated with %d\n",x,find(&n[0],x));

  return 0;
}

int find(node *n,int x)
{
  if(n->left==NULL&&n->right==NULL)
    {
      return n->value;
    }
  else
    {
      if(x<n->value)
	{
	  return find(n->left,x);
	}
      else
	{
	  return find(n->right,x);
	}
    }
  return -1;
}
