#include <stdio.h>
#include <math.h>
#include "newton.h"

double f(double x);
double dfdx(double x);

int main(void)
{

  newton(&f,&dfdx,10,0.0001,1000);

  return 0;
}

double f(double x)
{
  return cos(x)-pow(x,3);
}
double dfdx(double x)
{
  return -sin(x)-3*pow(x,2);
}
